CREATE TABLE ben_qstnr_responses (
    QSTNR_RESPONSE_ID        NUMBER(18, 0),
    BENEFIT_QSTNR_ID         NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    SUBJECT_PERSON_ID        NUMBER(18, 0)    NOT NULL,
    CONTEXTUAL_ACTION        VARCHAR2(960)    NOT NULL,
    CONTEXT                  VARCHAR2(960)    NOT NULL,
    QUESTIONNAIRE_ID         NUMBER(18, 0)    NOT NULL,
    QSTNR_PARTICIPANT_ID     NUMBER(18, 0)    NOT NULL,
    SUBMIT_DATE              DATE             NOT NULL,
    OBJ_TYPE                 VARCHAR2(960),
    OBJ_ID                   NUMBER(18, 0),
    OBJ_CODE                 VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFIG_NUM_1             NUMBER       ,
    CONFIG_NUM_2             NUMBER       ,
    CONFIG_NUM_3             NUMBER       ,
    CONFIG_NUM_4             NUMBER       ,
    CONFIG_NUM_5             NUMBER       ,
    CONFIG_CHAR_1            VARCHAR2(960),
    CONFIG_CHAR_2            VARCHAR2(960),
    CONFIG_CHAR_3            VARCHAR2(960),
    CONFIG_CHAR_4            VARCHAR2(960),
    CONFIG_CHAR_5            VARCHAR2(960),
    CONFIG_CHAR_6            VARCHAR2(960),
    CONFIG_CHAR_7            VARCHAR2(960),
    CONFIG_CHAR_8            VARCHAR2(960),
    CONFIG_CHAR_9            VARCHAR2(960),
    CONFIG_CHAR_10           VARCHAR2(960),
    CONFIG_DATE_1            DATE         ,
    CONFIG_DATE_2            DATE         ,
    CONFIG_DATE_3            DATE         ,
    CONFIG_DATE_4            DATE         ,
    CONFIG_DATE_5            DATE         ,
    CONFIG_ID_1              NUMBER(18, 0),
    CONFIG_ID_2              NUMBER(18, 0),
    CONFIG_ID_3              NUMBER(18, 0),
    CONFIG_ID_4              NUMBER(18, 0),
    CONFIG_ID_5              NUMBER(18, 0),
    QSTNR_RESPONSE_ID        NUMBER(18, 0),
    BENEFIT_QSTNR_ID         NUMBER(18, 0)    NOT NULL,
    PERSON_ID                NUMBER(18, 0)    NOT NULL,
    SUBJECT_PERSON_ID        NUMBER(18, 0)    NOT NULL,
    CONTEXTUAL_ACTION        VARCHAR2(960)    NOT NULL,
    CONTEXT                  VARCHAR2(960)    NOT NULL,
    QUESTIONNAIRE_ID         NUMBER(18, 0)    NOT NULL,
    QSTNR_PARTICIPANT_ID     NUMBER(18, 0)    NOT NULL,
    SUBMIT_DATE              DATE             NOT NULL,
    OBJ_TYPE                 VARCHAR2(960),
    OBJ_ID                   NUMBER(18, 0),
    OBJ_CODE                 VARCHAR2(960),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONFIG_NUM_1             NUMBER       ,
    CONFIG_NUM_2             NUMBER       ,
    CONFIG_NUM_3             NUMBER       ,
    CONFIG_NUM_4             NUMBER       ,
    CONFIG_NUM_5             NUMBER       ,
    CONFIG_CHAR_1            VARCHAR2(960),
    CONFIG_CHAR_2            VARCHAR2(960),
    CONFIG_CHAR_3            VARCHAR2(960),
    CONFIG_CHAR_4            VARCHAR2(960),
    CONFIG_CHAR_5            VARCHAR2(960),
    CONFIG_CHAR_6            VARCHAR2(960),
    CONFIG_CHAR_7            VARCHAR2(960),
    CONFIG_CHAR_8            VARCHAR2(960),
    CONFIG_CHAR_9            VARCHAR2(960),
    CONFIG_CHAR_10           VARCHAR2(960),
    CONFIG_DATE_1            DATE         ,
    CONFIG_DATE_2            DATE         ,
    CONFIG_DATE_3            DATE         ,
    CONFIG_DATE_4            DATE         ,
    CONFIG_DATE_5            DATE         ,
    CONFIG_ID_1              NUMBER(18, 0),
    CONFIG_ID_2              NUMBER(18, 0),
    CONFIG_ID_3              NUMBER(18, 0),
    CONFIG_ID_4              NUMBER(18, 0),
    CONFIG_ID_5              NUMBER(18, 0),
    CONSTRAINT pk_ben_qstnr_responses PRIMARY KEY (QSTNR_RESPONSE_ID, QSTNR_RESPONSE_ID)
);
